> ## Documentation Index
> Fetch the complete documentation index at: https://developers.govworx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seek Live Audio Stream

> Seek to a position within the accumulated live call audio buffer. Use positionSeconds=-1 to return to live immediately. The mixer automatically returns to live when replay catches up to the buffer head.



## OpenAPI

````yaml https://realtime.govworx.net/u/api-docs post /realtime/v1/call/{id}/audio/stream/{streamId}/seek
openapi: 3.1.0
info:
  title: GovWorx Realtime API
  description: >-
    Interfaces to access processing of realtime call data, transcriptions and
    CommsCoach Assist agentic outputs
  termsOfService: http://swagger.io/terms/
  version: '1.0'
servers:
  - url: https://realtime.govworx.net
security: []
tags:
  - name: Realtime Calls
    description: Endpoints for managing and interacting with active or completed calls
  - name: CAD Integration Handler
    description: >
      Implement these endpoints if you are a CAD vendor building an integration
      with Assist.


      These endpoints allow Assist to directly push data to your system.


      The base URL in the documentation (/cad-integration-handler) is
      illustrative and you may use a different base URL.


      You must implement the endpoints under the base URL using the given
      specifications, however.
  - name: Authentication
    description: Manage short-lived tokens for accessing the Realtime API.
  - name: CAD Integration
    description: Endpoints for managing and interacting with the CAD Integration.
  - name: Webhook Registration
    description: Register webhook handlers to receive notifications.
  - name: Webhook Handlers
    description: >-
      Implement these endpoints as needed to match any webhooks you have
      registered for. The URL in the documentation is illustrative. You must
      handle the webhook at the URL you registered. See 'Webhook Registration'.
externalDocs:
  description: GovWorx Developer Docs
  url: https://api.govworx.ai
paths:
  /realtime/v1/call/{id}/audio/stream/{streamId}/seek:
    post:
      tags:
        - Realtime Calls
      summary: Seek Live Audio Stream
      description: >-
        Seek to a position within the accumulated live call audio buffer. Use
        positionSeconds=-1 to return to live immediately. The mixer
        automatically returns to live when replay catches up to the buffer head.
      operationId: seekStream
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: streamId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SeekStreamRequest'
        required: true
      responses:
        '200':
          description: Seek applied successfully
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SeekStreamResponse'
        '400':
          description: Invalid request or seek not supported by this service
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SeekStreamResponse'
        '401':
          description: Failed to authenticate request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SeekStreamResponse'
        '403':
          description: Not authorized to access this call
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SeekStreamResponse'
        '404':
          description: No active stream found for call
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SeekStreamResponse'
components:
  schemas:
    SeekStreamRequest:
      type: object
      properties:
        positionSeconds:
          type: number
          format: double
    SeekStreamResponse:
      type: object
      properties:
        streamId:
          type: string
        positionSeconds:
          type: number
          format: double
        mode:
          type: string
          description: >-
            Playback mode after the seek. 'live' = at the live playhead;
            'replay' = the call is still live but playback is offset behind the
            live playhead; 'recorded' = playing back a completed call recording.
          enum:
            - live
            - replay
            - recorded
        bufferDurationSeconds:
          type: number
          format: double
        paused:
          type: boolean

````